using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
    public interface IHostSceneManager : IGenericManager<HostScene>
    {
        HostScene Get(int hostID, int roomTypeSceneID);
        
        IList<HostScene> LoadByHostID(int hostID);

        void DeteleByHostID(int hostID);

        void DeteleByRoomTypeScene(int roomTypeSceneID);

        void DeteleByRoomTypeScene(int hostID, int roomTypeSceneID);
    }
}
